librsb 1.3.0.2

Public Member Functions
blas_sparse::uscr_insert_col Interface Reference

inserts a sparse column More...

## Public Member Functions
subroutine | suscr_insert_col (A, j, nnz, val, indx, istat)
| Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together. More...
subroutine | duscr_insert_col (A, j, nnz, val, indx, istat)
| Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together. More...
subroutine | cuscr_insert_col (A, j, nnz, val, indx, istat)
| Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together. More...
subroutine | zuscr_insert_col (A, j, nnz, val, indx, istat)
| Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together. More...

## Detailed Description

inserts a sparse column

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## ◆ cuscr_insert_col()

subroutine blas_sparse::uscr_insert_col::cuscr_insert_col | ( | integer | A,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | complex(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  j | Column index.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ duscr_insert_col()

subroutine blas_sparse::uscr_insert_col::duscr_insert_col | ( | integer | A,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | real(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  j | Column index.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ suscr_insert_col()

subroutine blas_sparse::uscr_insert_col::suscr_insert_col | ( | integer | A,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | real(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  j | Column index.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ zuscr_insert_col()

subroutine blas_sparse::uscr_insert_col::zuscr_insert_col | ( | integer | A,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | complex(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Inserts a whole column in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  j | Column index.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90